WPML 4.4.11 Now Compatible with WordPress 5.8

WPML 4.4.11 Now Compatible with WordPress 5.8

WPML 4.4.11 Now Compatible with WordPress 5.8

WPML 4.4.11 adds support for new features in WordPress 5.8, allows enabling Content Security Policy (which Google now recommends), and includes a number of stability improvements.

In this article, we will introduce you the main features of WPML Multilingual WordPress plugin and some best  WordPress themes compatible with it.

And now, let’s started!


WPML & WordPress 5.8 – The Next Step with Full Site Editing

WPML 4.4.11 is compatible with the upcoming WordPress 5.8 release, scheduled for July 20th. WordPress 5.8 is the next step on the path to Full Site Editing, which will eventually allow users to build all parts of their sites using blocks – including areas formerly controlled by themes, such as headers, footers, and sidebars.

WordPress 5.8 introduces several new interesting Full Site Editing features, such as a new template editor for landing pages, a block-based widget editor, the ability to add block layouts called Patterns, and several new blocks.

One of those new blocks is the Query Loop block, which will allow you to display a dynamic list of posts. With it, you can create dynamic lists using six pre-configured layouts, or build your own layout using some of the other new blocks like the Post TitleFeatured Image, and Post Excerpt.

It’s still a very basic feature, so if you want to do anything more advanced such as display content from custom fields, generate button links dynamically, or even apply some extra styling, be sure to check out the Toolset View block.

Toolset contains all the new Query Loop features, plus more, like front-end filtering, custom search, displaying content from post relationships, and advanced styling tools.


Support for Content Security Policy and WPML Improvements

Google is now encouraging webmasters to enable Content Security Policy (CSP). This server feature blocks websites from loading 3rd-party JavaScript. In the case of WPML, it causes conflicts with our Advanced Translation Editor.

WPML 4.4.11 changes the way we load JavaScript, so WPML and the Advanced Translation Editor will continue working normally with and without CSP. If you are enabling CSP, we recommend that you also whitelist ams.wpml.org or *.wpml.org in your Content Security Policy rules. However, even if you don’t, WPML will work normally.

WPML 4.4.11 also solves several other known issues such as:

  • A fatal error when switching to using All Languages in the site’s admin
  • An issue with translating core blocks for embedded media such as YouTube
  • An issue with displaying the wrong URL for landing pages

Plus, it includes support for Avada Forms and Elementor Pro’s Video Playlist and Hotspot widgets. You can find the full list of fixes in the WPML 4.4.11 changelog.


Updating to WPML 4.4.11

The WordPress 5.8 beta is available now. If you’re interested in testing some of the new Full Site Editing features, please be sure to try WPML 4.4.11 and WordPress 5.8 on a development site.

We push out WPML releases gradually. This means 4.4.11 may not appear to be available on your site before the WordPress 5.8 release. If this is the case, you check for the update by going to Plugins → Add New and clicking the Commercial tab. Then, click the Check for updates button.

Manually installing WPML plugin updates
Manually installing WPML plugin updates

You can also download the plugin manually from your WPML account’s Downloads page.


Should I Update to WordPress 5.8?

Because of the changes included with the block-based widget editor, if your site uses widgets, you may not want to update to WordPress 5.8 except on a development site.

While the changes don’t seem to affect your site’s front-end, your existing widgets are transformed into Legacy Widget blocks that still have some cosmetic issues in the admin.

Manually installing WPML plugin updates
Existing widgets displayed as Legacy Widget blocks in WordPress 5.8

If you do choose to update to WordPress 5.8, many plugins and themes will require an update to be fully compatible. In our own testing, we discovered issues with different plugins and themes on our test sites. For example, until you install WPML 4.4.11, you won’t be able to access the Display on language selector on a widget. After updating, you can find it in the sidebar.

Manually installing WPML plugin updates
Widget options before updating to WPML 4.4.11
Manually installing WPML plugin updates
Widget options after updating to WPML 4.4.11

As with any new major release, it’s important to fully test everything on a development site and apply updates in the following order.

  1. Update each of your plugins, one at a time
  2. Update your theme
  3. Update to WordPress 5.8

This helps identify any issues before updating your production site, and it also helps pinpoint which element is causing a potential issue.


Conclusion

Above are some main features of the WPML 4.4.11. We really hope that this article brings you an overview about this new version.


Best-selling WooCommerce WordPress Themes

Here are the top best WooCommerce WordPress themes 2021 chosen by the customers.

BROWSE ALL THEMES


See our theme collections:

 Best Selling Multi Vendor MarketPlace WordPress Themes

You might also like

Leave Your Comment

x
eMarket – #1 Multi Vendor MarketPlace WordPress Theme
Quà Tết Cao Cấp Hộp quà tết Giỏ quà tết Túi quà tết